local metadata = {
"## Interface: 1.2.0.0 1.2 RC6",
"## Title: PlacableTrigger",
"## Notes: Placable Trigger",
"## Author: Marhu",
"## Version: 1.0.0-3",
"## Date: 15.04.2015",
"## Web: http://marhu.net"
}

PlacableTrigger = {};
PlacableTrigger_mt = Class(PlacableTrigger, Placeable);
InitObjectClass(PlacableTrigger, "PlacableTrigger");

function PlacableTrigger:new(isServer, isClient, customMt)
    local self = Placeable:new(isServer, isClient, PlacableTrigger_mt);
    registerObjectClassName(self, "PlacableTrigger");
	
	return self;
end;

function PlacableTrigger:delete()
  	if self.trigger and self.trigger.triggerId ~= 0 then
		self.trigger:delete();
	end
	unregisterObjectClassName(self);
    PlacableTrigger:superClass().delete(self);
end;

function PlacableTrigger:deleteFinal()
    PlacableTrigger:superClass().deleteFinal(self);
end;

function PlacableTrigger:load(xmlFilename, x,y,z, rx,ry,rz, initRandom)
    if not PlacableTrigger:superClass().load(self, xmlFilename, x,y,z, rx,ry,rz, initRandom) then
        return false;
    end;


	self.xmlFile = loadXMLFile("TempXML", xmlFilename);
	  
	return true;
end;

function PlacableTrigger:finalizePlacement(x, y, z, rx, ry, rz, initRandom)
	PlacableTrigger:superClass().finalizePlacement(self)
	
	local TriggerType = getXMLString(self.xmlFile, "placeable.TriggerType#Typ");
	if TriggerType ~= nil and TriggerType ~= "" then
		if TriggerType == "MilktruckStartTrigger" then
			MilktruckStartTrigger:onCreate(self.nodeId)
		elseif TriggerType == "MilktruckFillTrigger" then
			MilktruckFillTrigger:onCreate(self.nodeId)
		elseif TriggerType == "FillablePalletSellTrigger" then
			self.trigger = FillablePalletSellTrigger:new(self.nodeId)
			g_currentMission:addNonUpdateable(self.trigger)
		elseif TriggerType == "TipTrigger" then	
			local Trigger = TipTrigger:new(self.isServer, self.isClient);
			Trigger:load(self.nodeId,self);
			Trigger:register(true);
		end
	end
	delete(self.xmlFile);
  
	return true;
end;

function PlacableTrigger:update(dt)
end;

registerPlaceableType("PlacableTrigger", PlacableTrigger);